Name:		perl-IDNA-Punycode
Version: 	0.03
Release:	1.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module IDNA::Punycode
Summary(de):	Perlmodul IDNA::Punycode
URL: 		http://search.cpan.org/~roburban/
Source0: 	IDNA-Punycode-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Packager:       Carsten Schoene <cs@linux-administrator.com>
Vendor:         linux-administrator.com
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
IDNA::Punycode will convert a domain-name from the "native" IDN
(Internationalized Domain Name) form, i.e., a domain-name
containing non-ASCII characters, into it's corresponding
ACE (ASCII Compatible Encoding), and vice versa.

%prep
%setup -q -n IDNA-Punycode-%{version}
perl Makefile.PL
%__make
%makeinstall DESTDIR=$RPM_BUILD_ROOT
%if 0%{?suse_version}
%perl_process_packlist
%else
find $RPM_BUILD_ROOT -name perllocal.pod -exec rm {} \; >/dev/null
%endif
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%if 0%{?suse_version}
%files
%doc Changes README
/usr/share/man/man3/*
/var/adm/perl-modules/perl-IDNA-Punycode
%ifarch %ix86
%{perl_sitelib}/i586-linux-thread-multi
%endif
%ifarch x86_64
%{perl_sitelib}/x86_64-linux-thread-multi
%endif
%{perl_sitelib}/IDNA/*
%{perl_sitelib}/IDNA/.Punycode.pm.swp
%else

%files -f ../file.list.%{name}

%endif

%changelog
* Mon Jul 02 2007 Carsten Schoene <cs@linux-administrator.com>
- initial build of IDNA::Punycode perl package
